Package org.apache.sling.feature.extension.unpack.impl.installer

## Class UnpackArchiveInstallerPlugin

- java.lang.Object
- - org.apache.sling.feature.extension.unpack.impl.installer.UnpackArchiveInstallerPlugin

All Implemented Interfaces:
  `org.apache.sling.installer.api.tasks.InstallTaskFactory`, `org.apache.sling.installer.api.tasks.ResourceTransformer`

    public class UnpackArchiveInstallerPlugin
    extends Object
    implements org.apache.sling.installer.api.tasks.InstallTaskFactory, org.apache.sling.installer.api.tasks.ResourceTransformer

### Field Summary

Fields
`static String` `TYPE_UNPACK_ARCHIVE`

### Fields inherited from interface org.apache.sling.installer.api.tasks.InstallTaskFactory

`NAME`

### Fields inherited from interface org.apache.sling.installer.api.tasks.ResourceTransformer

`NAME`

### Constructor Summary

Constructors
`UnpackArchiveInstallerPlugin​(org.osgi.framework.BundleContext bc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.sling.installer.api.tasks.InstallTask` `createTask​(org.apache.sling.installer.api.tasks.TaskResourceGroup group)`
`org.apache.sling.installer.api.tasks.TransformationResult[]` `transform​(org.apache.sling.installer.api.tasks.RegisteredResource resource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE_UNPACK_ARCHIVE

    public static final String TYPE_UNPACK_ARCHIVE

See Also:
  Constant Field Values

### Constructor Detail

#### UnpackArchiveInstallerPlugin

    public UnpackArchiveInstallerPlugin​(org.osgi.framework.BundleContext bc)

### Method Detail

#### transform

    public org.apache.sling.installer.api.tasks.TransformationResult[] transform​(org.apache.sling.installer.api.tasks.RegisteredResource resource)

Specified by:
  `transform` in interface `org.apache.sling.installer.api.tasks.ResourceTransformer`

#### createTask

    public org.apache.sling.installer.api.tasks.InstallTask createTask​(org.apache.sling.installer.api.tasks.TaskResourceGroup group)

Specified by:
  `createTask` in interface `org.apache.sling.installer.api.tasks.InstallTaskFactory`